#!/bin/sh

#######
### Backup Seafile/Seafile Pro server on bare-metal (NOT DOCKER)
#######


### text formatting presents
norm="\e[0m"
bold="\e[1m"
err="\e[1;31m"
warn="\e[1;93m"
ok="\e[32m"
yellow="\e[93m"
cyan="\e[96m"
mag="\e[95m"


### functions

# generate dynamic timestamps
stamp () {
    (date +%F" "%T)
}

### end of functions


### default variable values

# store logfile in the same directory as this script file using the same file
# name as the script but with the extension '.log'
scriptPath="$( CDPATH= cd -- "$( dirname -- "$0" )" && pwd -P )"
scriptName="$( basename "$0" )"
logFile="$scriptPath/${scriptName%.*}.log"


### start logging
printf "${mag}[%s] --- Start %s execution ---${norm}\n" \
    "$(stamp)" "$scriptName" >> "$logFile"
printf "${cyan}[%s] -- [INFO] Log located at ${yellow}%s${cyan} --${norm}\n" \
    "$(stamp)" "$logFile" >> "$logFile"





exit 0